using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Cups_To_Ounces
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Metoda CupsToOunces() akceptuje argument
        // w postaci liczby szklanek i zwraca
        // odpowiadającą jej liczbę uncji.
        private double CupsToOunces(double cups)
        {
            return cups* 8.0;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Zmienne przechowujące liczby szklanek i uncji.
            double cups, ounces;
            
            // Pobranie liczby szklanek.
            if (double.TryParse(cupsTextBox.Text, out cups))
            {
                // Konwersja liczby szklanek na uncje.
                ounces = CupsToOunces(cups);
                
                // Wyświetlenie liczby uncji.
                ouncesLabel.Text = ounces.ToString("n1");
            }
            else
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show("Podaj prawidłową liczbę.");
             }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
